org.eclipse.microprofile.reactive.messaging.spi

## Annotation Type Connector

    @Qualifier
     @Retention(value=RUNTIME)
     @Target(value={TYPE,FIELD,METHOD,PARAMETER})
    public @interface Connector

Qualifier used on connector implementations to indicate the associated underlying transport.

The value indicates the name associated with the bean implementing either `IncomingConnectorFactory` or `OutgoingConnectorFactory` or both.

Note that the given name is a user-facing interface used in the configuration.

### Required Element Summary

Required Elements
`String` `value`

### Element Detail

#### value

    public abstract String value

Returns:
  The name of the connector associated with the bean implementing `IncomingConnectorFactory` or `OutgoingConnectorFactory`. Must not be `null`. Returning `null` will cause a deployment failure.